Chuyển đến nội dung
Diễn đàn CADViet

cuongtk2

Thành viên
  • Số lượng nội dung

    441
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    39

Bài đăng được đăng bởi cuongtk2


  1. Vào lúc 13/10/2019 tại 09:07, jangboko đã nói:

     

    Bạn có thể giải thích cho mình ý nghĩa từng dòng được không. Theo mình hiểu thì chỗ bạn giải thích nó là dòng cuối cùng ( của phần bôi đỏ)

    Dòng nào cũng có nghĩa như thế cả, bạn thử chỉ dùng 1 dòng xem nó như thế nào rồi bổ sung các dòng khác vào


  2. Font Unicode phải dùng mã Unicode nhé bạn,

    Phi thường được định danh %%C (hoặc mã  \u+2205, %%8709) tương tự với %%216, có một ký hiệu phi nhỏ %%248.

    Chưa thấy ký hiệu phi gai trong unicode, bạn thử tìm xem trong Fonts-> Find a Character 

    Không ai dùng ` cho phi gai trừ khi thiếu ký tự, vả lại trong TCVN 4613:2012 cũng không có thép vằn mà chỉ có phi hoặc D. Chắc là người ta bỏ ký hiệu này rồi.

    • Like 1

  3. cad: Dùng lệnh Lengthen để chỉnh độ dài thành 20 rồi Div hoặc Me

    lisp:

    (defun c:test (/ ANG D D1 E ENT I KEY LAYER LS N P1 P2 P3 PE PS)
      (setq ent (entsel "\nChon phia can chia")
        p1 (cadr ent)
        e (entget (car ent))
        layer (cdr (assoc 8 e))
        ps (cdr (assoc 10 e))
        pe (cdr (assoc 11 e))
        ls (list ps pe)
        d (getdist "Chieu dai can chia"))
      (if (> (distance ps p1) (distance pe p1)) (setq ls (REVERSE ls)))
      (setq p1 (car ls)
        ang (angle (car ls) (cadr ls)))
      (initget 1 "Measure Divide")
      (setq key (GETKWORD "Divide hay Measure ?"))
      (cond
        ((= key "Measure")(setq d1 (getdist "\nKhoang cach chia:") n (fix (/ d d1))))
        ((= key "Divide")(setq n (getint "\nSo khoang chia") d1 (/ d (itoa n))))
        )

    (setq    i 0)
      (repeat n
        (setq p2 (polar p1 ang (* i d1))
          p3 (polar p1 ang (* (+ 1 i) d1)))
        (entmake (list (cons 0 "line")(cons 10 p2) (cons 11 p3)(cons 8 layer)))
           
        (setq i (1+ i))
        )
    )

×